function _regReadValue(shl,name,type){
	var	val;
	try{
		val=shl.RegRead(name);
		if(typeof val!==type){
			val=undefined;
		}
	}catch(e){}
	return val;
}
function _GetOperaExePath(shl){
	var	val=_regReadValue(shl,"HKCU\\Software\\Opera Software\\Last Install Path","string");
	if(val){
		var	fso = new ActiveXObject("Scripting.FileSystemObject");
		val=fso.BuildPath(val,"opera.exe");
	}
	return val;
}
var shl = new ActiveXObject("WScript.Shell");
var	exePath=_GetOperaExePath(shl);
if(exePath){
	shl.Run("\""+exePath+"\" \""+DataObject.url+"\"", 1, false);
}